/**
 * Proven Admin Script
 * @since 1.0.0
 */
;(function($) {
	
	adminOptions = [
		// Text color
		{
            type: 'color',
            field: '#_tt_proven_text_color',
            selector: '.tt-proven-box, .tt-proven-box .tt-proven-close, .tt-proven-box .tt-proven-credit',
            property: 'color'
        },
		{
            type: 'color',
            field: '#_tt_proven_text_color_first_line',
            selector: '.first-line',
            property: 'color'
        },
        // Background color
        {
            type: 'color',
            field: '#_tt_proven_background_color',
            selector: '.tt-proven-box',
            property: 'background-color'
        },
        // Shape
        {
            type: 'class',
            field: '#_tt_proven_shape',
            selector: '.tt-proven-box',
            property: 'shape',
            unit: ''
        },
        // Position
        {
            type: 'class',
            field: '#_tt_proven_position',
            selector: '.tt-proven-box-holder',
            property: 'position',
            unit: ''
        },
        //Shadow
        {
            type: 'class',
            field: '#_tt_proven_shadow',
            selector: '.tt-proven-box',
            property: 'shadow',
            unit: ''
        },
	]
	
	
	function ttp_admin_preview_set_value(type, field, selector, property, unit = ''){
		if ( '' === field ) {
            return;
        }
		
        $(field).on('change', function() {
        	var val = $(this).val();
			
			//If the option type is a class, add that class to the box. 
			if(type=="class"){
				
				var re = new RegExp('\\b'+property+'-\\S+', 'i');
				
				$(selector).removeClass(function(index,classes){
				    var matches = classes.match(re);
				    return (matches) ? matches.join(' ') : '';
				});
				$(selector).addClass(val);
					
			}else{
				
            	if ( val !== '' ) {
            		$(selector).css(property, val + unit);
            	}
			}
         });

		if(type == 'color'){
			
			$(field).parent().parent().parent().parent().parent().mouseup(function(){
				setTimeout(function(){$(field).trigger('change');}, 100);
			})
		}
	}
	
	function ttp_admin_preview_run( items = [] ){
		if ( items.length === 0 ) {
            return;
        }

        items.forEach(function(item) {
            if ( typeof item === 'object' ) {
                var unit = '';
                if ( typeof item.unit !== 'undefined' ) {
                    unit = item.unit;
                }
                ttp_admin_preview_set_value( item.type, item.field, item.selector, item.property, unit );
            }
        });
	}
	
	function ttp_admin_preview_init(){ 
    	$('.tt-proven-box-holder').show();
        $('#tt_proven_conversions_source').trigger('change');
        $('#tt_proven_woo_product_link').trigger('change');
        $('#tt_proven_edd_product_link').trigger('change');
        $('#tt_proven_ld_product_link').trigger('change');
           
        $('#tt_proven_conversions_source').on('change', function() {
            $('#tt_proven_woo_product_link').trigger('change');
            $('#tt_proven_edd_product_link').trigger('change');
            $('#tt_proven_ld_product_link').trigger('change');
        });

        $('#tt_proven_fb_icon_source').trigger('change');

		ttp_admin_preview_run(adminOptions);
	}
	
	function ttp_active_toggle_init(){
		$('.wp-list-table .column-tt-proven-active img').off('click').on('click', function(e) {
            e.stopPropagation();

            var $this       = $(this),
                isActive    = $(this).attr('src').indexOf('toggle_active.png') >= 0,
                postID      = $(this).data('post'),
                nonce       = $(this).data('nonce');

            if ( isActive ) {
                $this.attr('src', $this.attr('src').replace('toggle_active.png', 'toggle_inactive.png'));
                $this.attr('title', 'Inactive').attr('alt', 'Inactive');
            } else {
                $this.attr('src', $this.attr('src').replace('toggle_inactive.png', 'toggle_active.png'));
                $this.attr('title', 'Active').attr('alt', 'Active');
            }

            $.ajax({
                type: 'post',
                url: ajaxurl,
                data: {
                    action: 'tt_proven_toggle_active',
                    post_id: postID,
                    nonce: nonce,
                    status: isActive ? 'inactive' : 'active'
                },
                success: function(res) {
                    if ( res !== 'success' ) {
                        
                        isActive = $this.attr('src').indexOf('toggle_active.png') >= 0;
                        if ( isActive ) {
                            $this.attr('src', $this.attr('src').replace('toggle_active.png', 'toggle_inactive.png'));
                            $this.attr('title', 'Inactive').attr('alt', 'Inactive');
                        } else {
                            $this.attr('src', $this.attr('src').replace('toggle_inactive.png', 'toggle_active.png'));
                            $this.attr('title', 'Active').attr('alt', 'Active');
                        }
                    }
                }
            });
        });	
	}
	
	function ttp_cmb2_group_toggle(){
		if(this.value == "manual"){
			$('.cmb2-id--tt-proven-manual-group').show();
		}else{
			$('.cmb2-id--tt-proven-manual-group').hide();
		}
		$('#_tt_proven_source').change(function() {
			if(this.value == "manual"){
				$('.cmb2-id--tt-proven-manual-group').show();
			}else{
				$('.cmb2-id--tt-proven-manual-group').hide();
			}
		});
	}
	
	function ttp_mailchimp_init(){
		$('.ttp-mailchimp-connect').on('click', function() {
            var apiKey      = $('#tt_proven_mailchimp_api_key').val(),
				loader      = $('.loading-spinner.mailchimp'),
                listField   = $('#ttp-mailchimp-list'),
                self        = $(this),
                postID      = $('input[name="post_ID"]').val();
			self.parent().find('.tt-proven-error-message').remove();
			self.parent().find('.tt-proven-success-message').remove();
            self.addClass('disabled');
            loader.show();

            $.ajax({
                type: 'post',
                url: ajaxurl,
                data: {
                    action: 'tt_proven_connect_mailchimp',
                    api_key: apiKey,
                    post_id: postID
                },
                success: function(response) {
                    var data = JSON.parse(response);
                    if ( data.error ) {
                        self.after( '<div class="tt-proven-error-message">' + data.error + '</div>' );
                    }
                    else {
                        self.parent().find('.tt-proven-error-message').remove();
                        self.after( '<div class="tt-proven-success-message">' + tt_proven.messages.mailchimp_connect_success + '</div>' );
                        self.val( tt_proven.messages.mailchimp_connect_label );
                    }

                    self.removeClass('disabled');
                    loader.hide();
                }
            });
        });
	}

    $(window).load(function() {
        setTimeout(function() {
			ttp_admin_preview_init();
			ttp_admin_preview_run();
        }, 100);
    });

    $(document).ready(function() {
		ttp_cmb2_group_toggle();
		ttp_mailchimp_init();
        ttp_active_toggle_init();
    });
})(jQuery);
