<?php
// Get metabox values
$position = get_post_meta( $post_id, '_tt_proven_position', true );
$shape = get_post_meta( $post_id, '_tt_proven_shape', true );
$shadow = get_post_meta( $post_id, '_tt_proven_shadow', true );
$background_color = get_post_meta( $post_id, '_tt_proven_background_color', true );
$text_color = get_post_meta( $post_id, '_tt_proven_text_color', true );
$text_color_first_line = get_post_meta( $post_id, '_tt_proven_text_color_first_line', true );
$link_color = get_post_meta( $post_id, '_tt_proven_link_color', true );
?>

<style id="tt-proven-preview">
    .tt-proven-box {
        <?php if( $background_color ) { ?>
            background: <?php echo $background_color; ?>;
        <?php } ?>
        <?php if( $text_color ) { ?>
            color: <?php echo $text_color; ?>;
        <?php } ?>
    }
	<?php if( $text_color_first_line ) { ?>
		.tt-proven-box .tt-proven-text::first-line {
        	color: <?php echo $text_color_first_line; ?>;
		}
    <?php } ?>
    .tt-proven-box .tt-proven-close, .tt-proven-box a.tt-proven-credit {
        <?php if( $text_color ) { ?>
            color: <?php echo $text_color; ?>;
        <?php } ?>
    }
</style>

<div class="tt-proven-box-holder">
    <span class="tt-proven-preview-text"><?php _e('Preview', 'tt-proven'); ?></span>
    <div class="tt-proven-box <?php echo $shape; ?> <?php echo $shadow; ?>">
        <p class="tt-proven-close" title="<?php esc_html_e('Close', 'tt-proven'); ?>">×</p>
        <div class="tt-proven-content">
            <div class="tt-proven-img">
                <img src="<?php echo TT_PROVEN_URL . 'public/img/default_img.jpg'; ?>" alt="">
            </div>
            <div class="tt-proven-text">
                <span class="first-line"><?php _e('Bob from NY', 'tt-proven'); ?></span></br>
				<?php _e('Purchased a product.', 'tt-proven'); ?></br>
                <small><?php _e('About 1 hour ago', 'tt-proven'); ?></small>
            </div>
        </div>
		<a href="https://themetrust.com/proven" class="tt-proven-credit">Proven</a>
    </div>
</div>
