<div class="wrap">
	<div class="tt-proven-settings-header">
	    <h2><?php echo 'Proven ' . __('Settings', 'tt-proven'); ?></h2>
	</div>
	<?php self::render_update_message(); ?>
	
    <form method="post" id="tt-proven-settings-form" action="<?php echo self::get_form_action(); ?>">

        <div class="tt-proven-settings-content">

                <table class="form-table">

                        <?php
                        $license = get_option( 'tt_proven_license_key' );
                        $status = get_option( 'tt_proven_license_status' );
						$mailchimp_api_key = get_option( 'tt_proven_mailchimp_api_key' );
						$mailchimp_lists = get_option( 'tt_proven_mailchimp_lists' );
                        $credit_disable = get_option( 'tt_proven_disable_credit' );
                        ?>

                        <tr valign="top">
                            <th scope="row" valign="top">
                                <label for="tt_proven_license_key"><?php esc_html_e('License Key', 'tt-proven'); ?></label>
                            </th>
                            <td>
                                <input id="tt_proven_license_key" name="tt_proven_license_key" type="text" class="regular-text" value="<?php esc_attr_e( $license ); ?>" />
                            	<?php if( $status !== false && $status == 'valid' ) { ?>
    								<?php wp_nonce_field( 'tt_proven_license_deactivate_nonce', 'tt_proven_license_deactivate_nonce' ); ?>
    								<input type="submit" class="button-secondary tt-proven-button-secondary" name="tt_proven_license_deactivate" value="<?php _e('Deactivate License'); ?>"/>
    							<?php } else { ?>
    								<?php wp_nonce_field( 'tt_proven_license_activate_nonce', 'tt_proven_license_activate_nonce' ); ?>
                                       <input type="submit" class="button-secondary tt-proven-button-secondary" name="tt_proven_license_activate" value="<?php esc_html_e( 'Activate License', 'tt-proven' ); ?>"/>
    							<?php } ?>
							</td>
                        </tr>
                        
    					<tr valign="top">
    						<th scope="row" valign="top">
    							<?php _e('License Status', 'tt-proven'); ?>
    						</th>
    						<td>
    							<?php if( $status !== false && $status == 'valid' ) { ?>
    								<p class="tt-proven-active-msg"><?php esc_html_e('License is active', 'tt-proven'); ?></p>
    				    		<?php } else { ?>
    								<p class=""><?php esc_html_e( 'License is inactive', 'tt-proven' ); ?></p>
    							<?php } ?>
    						</td>
    					</tr>

						<tr valign="top">
                            <th scope="row" valign="top">
                                <label for="tt_proven_mailchimp_api_key"><?php esc_html_e('MailChimp Api Key', 'tt-proven'); ?></label>
                            </th>
                            <td>
                                <input id="tt_proven_mailchimp_api_key" name="tt_proven_mailchimp_api_key" type="text" class="regular-text" value="<?php esc_attr_e( $mailchimp_api_key ); ?>" />
                            	<input type="button" class="ttp-mailchimp-connect button-secondary tt-proven-button-secondary" name="ttp_mailchimp_connect" value="<?php echo $mailchimp_connect_label; ?>"/>
								<p class="loading-spinner mailchimp"><img src="<?php echo admin_url('images/spinner.gif'); ?>" /></p>
							</td>
                        </tr>

                        <tr valign="top">
                            <th scope="row" valign="top">
                                <label for="tt_proven_disable_credit"><?php esc_html_e('Remove Credit', 'tt-proven'); ?></label>
                            </th>
                            <td>
                                <input id="tt_proven_disable_credit" name="tt_proven_disable_credit" type="checkbox" value="1"<?php echo ( $credit_disable == '1' ) ? 'checked="checked"' : ''; ?> />
                            </td>
                        </tr>

                    

                </table>

        </div>

        <p class="submit">
            <?php wp_nonce_field( '_tt_proven_settings_nonce', 'tt_proven_settings_nonce' ); ?>
            <input type="submit" class="tt-proven-settings-button button button-primary" name="submit" id="submit" value="<?php esc_html_e('Save Changes', 'tt-proven'); ?>" />
        </p>

    </form>
</div>