<?php

/**
 * Fired during plugin deactivation
 *
 * @link       http://themetrust.com
 * @since      1.0.0
 *
 * @package    Proven
 * @subpackage Proven/includes
 */

/**
 * Fired during plugin deactivation.
 *
 * This class defines all code necessary to run during the plugin's deactivation.
 *
 * @since      1.0.0
 * @package    Proven
 * @subpackage Proven/includes
 * @author     ThemeTrust <info@themetrust.com>
 */
class Proven_Deactivator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function deactivate() {
		//Remove all cron events
		$hook = "tt_proven_mailchimp_get_subscribers_cron";
		$crons = _get_cron_array();
		if ( empty( $crons ) ) {
		     return;
		}
		foreach( $crons as $timestamp => $cron ) {
		    if ( ! empty( $cron[$hook] ) )  {
		       unset( $crons[$timestamp][$hook] );
		    }

		    if ( empty( $crons[$timestamp] ) ) {
		        unset( $crons[$timestamp] );
		    }
		 }
		 _set_cron_array( $crons );
	}
}
