<?php
/**
 * Helper functions.
 *
 * @since 1.0.0
 */
class TT_Proven_Helper {

	static public function has_gravatar($id_or_email) {
	  //id or email code borrowed from wp-includes/pluggable.php
		$email = '';
		if ( is_numeric($id_or_email) ) {
			$id = (int) $id_or_email;
			$user = get_userdata($id);
			if ( $user )
				$email = $user->user_email;
		} elseif ( is_object($id_or_email) ) {
			// No avatar for pingbacks or trackbacks
			$allowed_comment_types = apply_filters( 'get_avatar_comment_types', array( 'comment' ) );
			if ( ! empty( $id_or_email->comment_type ) && ! in_array( $id_or_email->comment_type, (array) $allowed_comment_types ) )
				return false;

			if ( !empty($id_or_email->user_id) ) {
				$id = (int) $id_or_email->user_id;
				$user = get_userdata($id);
				if ( $user)
					$email = $user->user_email;
			} elseif ( !empty($id_or_email->comment_author_email) ) {
				$email = $id_or_email->comment_author_email;
			}
		} else {
			$email = $id_or_email;
		}

		$hashkey = md5(strtolower(trim($email)));
		$uri = 'http://www.gravatar.com/avatar/' . $hashkey . '?d=404';

		$data = wp_cache_get($hashkey);
		if (false === $data) {
			$response = wp_remote_head($uri);
			if( is_wp_error($response) ) {
				$data = 'not200';
			} else {
				$data = $response['response']['code'];
			}
		    wp_cache_set($hashkey, $data, $group = '', $expire = 60*5);

		}		
		if ($data == '200'){
			return true;
		} else {
			return false;
		}
	}
	
	static public function get_image_url($email, $default_img){
		if ( !empty( $email ) ) {
			if(self::has_gravatar($email) ){
				$img_url = get_avatar_url( $email, array( 'default' => $default_img ) );
			}elseif( !empty( $default_img ) ) {
				$img_url = $default_img;	
			}else{
				$img_url = TT_PROVEN_URL . 'public/img/default_img.jpg';
			}
        }elseif(!empty( $default_img )) {
            $img_url = $default_img;
        }else{
			$img_url = TT_PROVEN_URL . 'public/img/default_img.jpg';
		}
		return $img_url;
	}
    
}
