;(function($) {
	
	var timerVisibility;
	var timerBetween;
	var items;
	var position = 0;
	var itemCount;
        
	function ttpInitialize(){
    	if (typeof ttProven == 'undefined') {
        	return;
        }

        if (ttProven.proven_ids.length === 0) {
          	return;
        }

        var ids = ttProven.proven_ids;
        var html = '';

        $.ajax({
             type: 'post',
             url: ttProven.ajaxurl,
             cache: false,
             data: {
                 action: 'show_items',
                 nonce: ttProven.nonce,
                 ids: ids
             },
             success: function(data) {
                 if ( data ) {
                     data = JSON.parse( data );
                     ttpAddBoxes(data);
                 }
             }
        });
	}
	
	function ttpAddBoxes(data){
		//alert(data);
		for (var key in data) {
			html = $('<div id="tt-proven-holder-'+data[key].options.id+'" class="tt-proven-holder"></div>').html(data[key].content);
			$('body').append(html);
			var items = $('#tt-proven-holder-'+data[key].options.id+' .tt-proven-box');
			ttpInitialDelay(data[key].options, items, data[key].options.initial_delay);
		}
	}
	
	function ttpInitialDelay(options, items, initialDelay){
		setTimeout(function(){ ttpShowBoxes(0, options, items) }, initialDelay);
	}
	
	function ttpShowBoxes(position, options, items) {
		timerInitial = options.initial_delay;
		timerDuration = options.duration;
		timerBetween = options.between_delay;
		animation = options.animation;
	    var element = items.get(position);
		var bottom = $(element).css("bottom");
		initCloseButton();
		$(element).addClass('can-click');
	    $(element).animate({
			opacity: 1,
			bottom: "15"
		},400, function() {
	        $(element).delay(timerDuration).animate({
				opacity: 0,
				bottom: bottom,
			},400,function() { 
				$(element).removeClass('can-click');           
	            position++; //move position to get next element
	            if (position == items.length) {
	                position = 0; //get first one again
	            }
				setTimeout(function(){ ttpShowBoxes(position, options, items) }, timerBetween);
	        });
	    });
	}
	
	
	function initCloseButton() {
		$(".tt-proven-close").click(function(e) {
			$('.tt-proven-holder').hide();
		})
	}

    $(window).load(function() {
        ttpInitialize();
    });

})(jQuery);
