<?php

	$activity_source    = get_post_meta( $id, '_tt_proven_source', true );
    $hide_on_mobile     = get_post_meta( $id, '_tt_proven_hide_on_mobile', true );
    $show_close         = get_post_meta( $id, '_tt_proven_show_close', true );
    $position           = get_post_meta( $id, '_tt_proven_position', true );
	$default_img        = get_post_meta( $id, '_tt_proven_default_img', true );
	$link_to            = get_post_meta( $id, '_tt_proven_link_to', true );
	$animation          = get_post_meta( $id, '_tt_proven_animation', true );
	$shape              = get_post_meta( $id, '_tt_proven_shape', true );
	$shadow             = get_post_meta( $id, '_tt_proven_shadow', true );
	$disable_credit     = get_option( 'tt_proven_disable_credit' );
    $activity_data      = array();
    $classes            = 'tt-proven-box';

    
    if( $activity_source == 'woocommerce' ) {
    	$activity_data    = TT_Proven_WooCommerce::get_activity_data($id);
	}elseif( $activity_source == 'edd' ) {
    	$activity_data    = TT_Proven_EDD::get_activity_data($id);
	}elseif( $activity_source == 'mailchimp' ) {
        $link_url = get_post_meta( $id, '_tt_proven_custom_url_mailing_list', true );
    	$activity_data    = TT_Proven_MailChimp::get_activity_data($id);
    }elseif( $activity_source == 'manual' ) {
    	$activity_data    = get_post_meta($id , '_tt_proven_manual_group', true);
		$link_url_global  = get_post_meta( $id, '_tt_proven_custom_url_manual', true );
    }

	// add classes
	if ( $hide_on_mobile ) {
        $classes .= ' tt-proven-mobile-hide';
    }
    if ( $show_close ) {
        $classes .= ' tt-proven-can-close';
    }

    $classes .= ' tt-proven-' . $position;
	$classes .= ' '.$shadow;
	$classes .= ' '.$shape;
	$classes .= ' '.$animation;
    $count = 0;
	
?>

<?php if ($activity_source == 'woocommerce' || $activity_source == 'edd'){
	include TT_PROVEN_DIR . 'public/partials/proven-content-e-commerce.php';
}elseif ($activity_source == 'mailchimp'){
	include TT_PROVEN_DIR . 'public/partials/proven-content-mailchimp.php';
}else{
	include TT_PROVEN_DIR . 'public/partials/proven-content-manual.php';
}?>
