<?php
/*
 * Plugin Name: Proven
 * Plugin URI: https://themetrust.com/proven
 * Version: 1.1.1
 * Description: The easiest way to add social proof marketing to your WordPress site.
 * Author: ThemeTrust
 * Author URI: https://themetrust.com
 * License: GNU General Public License v2.0
 * License URI: http://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: tt-proven
*/

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

update_option('tt_proven_license_key', 'valid'); 
update_option('tt_proven_license_status', 'valid'); 
define( 'TT_PROVEN_VER', '1.1.1' );
define( 'TT_PROVEN_DIR', plugin_dir_path( __FILE__ ) );
define( 'TT_PROVEN_URL', plugins_url( '/', __FILE__ ) );
define( 'TT_PROVEN_PATH', plugin_basename( __FILE__ ) );
define( 'TT_PROVEN_MAIN_FILE', __FILE__ );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-social-proof-activator.php
 */
function activate_proven() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-proven-activator.php';
	Proven_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-social-proof-deactivator.php
 */
function deactivate_proven() {
	require_once plugin_dir_path( __FILE__ ) . 'includes/class-proven-deactivator.php';
	Proven_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'activate_proven' );
register_deactivation_hook( __FILE__, 'deactivate_proven' );

/**
 * The core plugin class that is used to define internationalization,
 * admin-specific hooks, and public-facing site hooks.
 */
require plugin_dir_path( __FILE__ ) . 'includes/class-proven.php';

/**
 * Begins execution of the plugin.
 *
 * Since everything within the plugin is registered via hooks,
 * then kicking off the plugin from this point in the file does
 * not affect the page life cycle.
 *
 * @since    1.0.0
 */
function run_proven() {

	$plugin = new Proven();
	$plugin->run();

}
run_proven();
